{
  "schema_version": "1.4.0",
  "id": "GHSA-65c2-c54h-rp7q",
  "modified": "2022-05-14T03:18:34Z",
  "published": "2022-05-14T03:18:34Z",
  "aliases": [
    "CVE-2018-10376"
  ],
  "details": "An integer overflow in the transferProxy function of a smart contract implementation for SmartMesh (aka SMT), an Ethereum ERC20 token, allows attackers to accomplish an unauthorized increase of digital assets via crafted _fee and _value parameters, as exploited in the wild in April 2018, aka the \"proxyOverflow\" issue.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:H/A:N"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2018-10376"
    },
    {
      "type": "WEB",
      "url": "https://dasp.co/#item-3"
    },
    {
      "type": "WEB",
      "url": "https://peckshield.com/2018/04/25/proxyOverflow"
    },
    {
      "type": "WEB",
      "url": "https://www.reddit.com/r/ethereum/comments/8esyg9/okex_erc20_bug"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-190"
    ],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2018-04-25T09:29:00Z"
  }
}